BizKitHub
DocsAPI ReferenceContact/bff/contact/block-contact
postContactAdmin BFF

/bff/contact/block-contact

Toggles the block/ban status of a contact. If currently blocked, unblocks; if unblocked, blocks.

ContactpostBffContactBlock-contact

Parameters

JSON body

Request body

application/json
idstringRequired

Contact external ID.

reasonstringOptional

Reason for blocking or unblocking.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/block-contact

post
curl -X POST "https://api.bizkithub.com/bff/contact/block-contact" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "reason": "example_reason"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key